Package org.eclipse.birt.chart.model.attribute.impl

# Class StyleMapImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.StyleMapImpl

All Implemented Interfaces:
  `StyleMap`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class StyleMapImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements StyleMap
An implementation of the model object ' Style Map'.

The following features are implemented:

- `Component Name`
- `Style`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetStyle(Style newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`StyleMap`
`copyInstance()`
`static StyleMap`
`create(StyledComponent name, Style style)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`StyledComponent`
`getComponentName()`
`Style`
`getStyle()`
`boolean`
`isSetComponentName()`
`void`
`setComponentName(StyledComponent newComponentName)`
`void`
`setStyle(Style newStyle)`
`String`
`toString()`
`void`
`unsetComponentName()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getComponentName

public StyledComponent getComponentName()

Specified by:
  `getComponentName` in interface `StyleMap`
Returns:
  the value of the 'Component Name' attribute.
See Also:
  - `StyledComponent`
  - `StyleMap.isSetComponentName()`
  - `StyleMap.unsetComponentName()`
  - `StyleMap.setComponentName(StyledComponent)`
  - `AttributePackage.getStyleMap_ComponentName()`

### setComponentName

public void setComponentName(StyledComponent newComponentName)

Specified by:
  `setComponentName` in interface `StyleMap`
Parameters:
  `newComponentName` - the new value of the 'Component Name' attribute.
See Also:
  - `StyledComponent`
  - `StyleMap.isSetComponentName()`
  - `StyleMap.unsetComponentName()`
  - `StyleMap.getComponentName()`

### unsetComponentName

public void unsetComponentName()

Specified by:
  `unsetComponentName` in interface `StyleMap`
See Also:
  - `StyleMap.isSetComponentName()`
  - `StyleMap.getComponentName()`
  - `StyleMap.setComponentName(StyledComponent)`

### isSetComponentName

public boolean isSetComponentName()

Specified by:
  `isSetComponentName` in interface `StyleMap`
Returns:
  whether the value of the 'Component Name' attribute is set.
See Also:
  - `StyleMap.unsetComponentName()`
  - `StyleMap.getComponentName()`
  - `StyleMap.setComponentName(StyledComponent)`

### getStyle

public Style getStyle()

Specified by:
  `getStyle` in interface `StyleMap`
Returns:
  the value of the 'Style' containment reference.
See Also:
  - `StyleMap.setStyle(Style)`
  - `AttributePackage.getStyleMap_Style()`

### basicSetStyle

public org.eclipse.emf.common.notify.NotificationChain basicSetStyle(Style newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)

### setStyle

public void setStyle(Style newStyle)

Specified by:
  `setStyle` in interface `StyleMap`
Parameters:
  `newStyle` - the new value of the 'Style' containment reference.
See Also:
  - `StyleMap.getStyle()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static StyleMap create(StyledComponent name, Style style)

Parameters:
  `name` -
  `style` -
Returns:

### copyInstance

public StyleMap copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `StyleMap`